@import "~breakpoint-sass/stylesheets/breakpoint";
@import "~susy/sass/susy";
@import "./breakpoints";

.u-container {
  @include container(960px);
}

.u-margin-tb-20 {
  margin-top: 20px;
  margin-bottom: 20px;
}

.u-margin-tb-50 {
  margin-top: 50px;
  margin-bottom: 50px;
}

.u-margin-t-15 {
  margin-top: 15px;
}

.u-margin-t-20 {
  margin-top: 20px;
}

.u-margin-b-15 {
  margin-bottom: 15px;
}

.u-margin-b-20 {
  margin-bottom: 20px;
}

.u-margin-b-30 {
  margin-bottom: 30px;
}

.u-margin-b-50 {
  margin-bottom: 50px;
}

.u-margin-t-30 {
  margin-top: 30px;
}

.u-margin-l-5 {
  margin-left: 5px;
}

.u-margin-l-20 {
  margin-left: 20px;
}

.u-invisible {
  display: none;
}

.u-hidden {
  &--all-but-xl {
    @include breakpoint($all-but-xl) {
      display: none !important;
    }
  }

  &--all-small {
    @include breakpoint($all-small) {
      display: none !important;
    }
  }

  &--xl {
    @include breakpoint($extra-large) {
      display: none !important;
    }
  }
}

.u-visible {
  &--all-but-small {
    @include breakpoint($small) {
      display: none !important;
    }
  }

  &--all-but-xl {
    @include breakpoint($extra-large) {
      display: none !important;
    }
  }
}

.u-responsive-break {
  @include breakpoint($all-small) {
    display: block;
  }
}

.u-relative {
  position: relative;
}

.u-button-unstyled {
  all: unset;
  display: inline-block;
  border: none;
  margin: 0;
  padding: 0;
  -webkit-text-fill-color: currentColor;
  // font-family: $font-sans-serif;
  // font-size: 1rem;
  // line-height: 1;
  background: transparent;
  -webkit-appearance: none;
}
